> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/es/productos-y-funciones/how-to-select-your-proxy-location.md).

# Cómo seleccionar la ubicación de tu proxy

Aprende a configurar la ubicación de tu proxy modificando el parámetro de ubicación en tu nombre de usuario.

Para cambiar la ubicación de su proxy, modifique el parámetro de ubicación en su nombre de usuario. Esto garantiza que sus solicitudes se enruten a través de una IP de la ubicación seleccionada.

Según su tipo de proxy, puede seleccionar diferentes niveles de geo-targeting. Para una lista completa de las configuraciones de ubicación compatibles, consulte nuestro [Preguntas frecuentes sobre la configuración de ubicación](https://faq.oxylabs.info/en/articles/8832436-location-settings-for-proxies).

### Proxies residenciales y Mobile Proxies <a href="#h_e4626222e6" id="h_e4626222e6"></a>

Especifique un país usando el `cc` parámetro en su nombre de usuario. Este parámetro acepta un código de país de dos letras (formato ISO 3166-1 alpha-2).

Aquí, `cc-DE` garantiza que la solicitud se enrute a través de Alemania:

```
curl -x pr.oxylabs.io:7777 -U "customer-USERNAME-cc-DE:PASSWORD" https://ip.oxylabs.io/location 
```

Para otros países, sustituya `DE` por el código de país deseado (p. ej., `cc-FR` para Francia o `cc-JP` para Japón).

Puede usar varias otras configuraciones de geo-targeting, como segmentación por ciudad, estado, continente, coordenadas y ASN. Para más detalles, consulte:

* [Residential Proxies](/products/proxies/residential-proxies/location-settings.md)
* [Mobile Proxies](/products/proxies/mobile-proxies/location-settings.md)

### Datacenter Proxies <a href="#h_dd1f53e232" id="h_dd1f53e232"></a>

Para cambiar el país, modifique el `país` parámetro en su nombre de usuario.

Aquí, `country-US` garantiza que la solicitud se procese a través de una IP de centro de datos con sede en EE. UU.:

```
curl -x dc.oxylabs.io:8000 -U 'user-USERNAME-country-US:PASSWORD' https://ip.oxylabs.io/location
```

Para otros países, sustituya `country-US` por el código de país deseado (p. ej., `country-FR` para Francia o `country-JP` para Japón).

Para más información sobre las ubicaciones disponibles, consulte:

* [Datacenter Proxies](/products/proxies/datacenter-proxies/select-country.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/es/productos-y-funciones/how-to-select-your-proxy-location.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
